<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "accident_cases".
 *
 * @property int $id
 * @property string|null $title 案例名称
 * @property int|null $level 事件性质（等级）
 * @property string $type_base 事件类型—基本选项
 * @property string $type_first 事件类型-一级字段
 * @property string $type_second 事件类型-二级字段
 * @property string $type_third 事件类型-三级字段
 * @property string $type_extra 事件类型—复合选项
 * @property string $duty_category 责任专业—事件归因
 * @property string $duty_reason 责任专业—原因
 * @property int|null $start_time 发生时间（具体日期、时间）
 * @property int|null $elimination_time 故障/外部影响消除时间
 * @property int|null $recovery_time 运营基本恢复时间
 * @property int|null $day_type 日期特征
 * @property int|null $time_type 时间特征
 * @property int|null $line 所属线路
 * @property int|null $automation_level 自动化程度
 * @property int|null $signal_supplier 信号供应商
 * @property int|null $train_number 车号
 * @property int|null $train_group 列车编组
 * @property int|null $train_model 列车型号
 * @property string|null $position_start 车站进站位置（起始位置）
 * @property string|null $position_end 车站进站位置（终止位置）
 * @property int|null $no_parking_area 车站进站位置（终止位置）
 * @property string|null $position_no_parking_area 车站进站位置（终止位置）
 * @property string|null $position 发生位置
 * @property string $position_base_first 发生位置-基本分类
 * @property int|null $position_base_second 发生位置-基本分类-二级字段
 * @property int|null $position_extra_first 发生位置-派生
 * @property int|null $position_extra_second 发生位置-派生-二级字段
 * @property string|null $signal_concentration_station            信号集中站/区域站
 * @property string|null $fault_switch_number                           故障道岔编号
 * @property string|null $foreign_body_location                       异物位置
 * @property string|null $power_supply_zoning                        供电分区
 * @property string|null $substation_in_the_fault_section         故障区段内变电站
 * @property string|null $substation_type 变电站类型
 * @property int|null $headway 行车间隔
 * @property int|null $online_trains_number 在线列车数
 * @property int|null $incidence 影响范围
 * @property int|null $affect_trains_number 直接影响列车数
 * @property int|null $emergency_duration 故障持续时长
 * @property int|null $operation_duration 运营事件持续时长(分钟)
 * @property int|null $maximum_delay 最大晚点
 * @property int|null $train_delayed_two_minutes 2分钟晚点列次
 * @property int|null $train_delayed_five_minutes 5分钟晚点列次
 * @property int|null $get_off_trains_number 清客列次
 * @property int|null $skip_stop_trains_number 跳停列次
 * @property int|null $handle_person_dispatch   路网调度
 * @property int|null $handle_person_leader 班组长(1人)
 * @property int|null $handle_person_principal 运营正职(1人)
 * @property int|null $handle_person_principal_device 设备正职(1人)
 * @property int|null $handle_person_deputy 运营副职(可多人)
 * @property int|null $handle_person_deputy_device 设备副职(可多人)
 * @property int|null $command_area 指挥区域
 * @property int|null $team_serial_number 班组序号
 * @property int|null $delete_time 数据删除时间
 * @property string|null $images 事件图片（封面图片）
 * @property string|null $images_add 事件图片（额外）
 * @property string|null $images_duibi 事件图片（对比）
 * @property object $totalScore 事件图片（额外）
 * @property string|null $update_time 
 * @property int $status 状态 0-待审核 1-已发布 2已提交 3已审核 4驳回
 * @property String create_by 创建人工号
 * @property String create_name 创建人姓名
 * @property String create_remark 创建人备注
 * @property String check_list 可审核人列表 默认为空则所有审核人都能看到，不为空则只有指定人可以审核
 * @property String check_name_list  可审核人姓名列表
 * @property String check_by  审核人
 * @property String check_name  审核人姓名
 * @property String check_remark  审核人备注
 */
class AccidentCases extends \yii\db\ActiveRecord
{
    public $totalScore;

    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'accident_cases';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
//            [['level', 'type_base', 'type_first', 'duty_category', 'duty_reason', 'start_time', 'day_type', 'time_type', 'line', 'automation_level', 'signal_supplier', 'train_number', 'train_group', 'train_model', 'position_base_first', 'position_base_second', 'position_extra_first', 'position_extra_second', 'substation_type', 'headway', 'online_trains_number', 'incidence', 'affect_trains_number', 'get_off_trains_number', 'skip stop_trains_number'], 'integer'],
//            [['emergency_duration', 'maximum_delay'], 'number'],
//            [['title', 'images'], 'string', 'max' => 512],
//            [['type_second', 'type_third', 'type_extra'], 'string', 'max' => 50],
//            [['position', 'train_delayed_two_minutes', 'train_delayed_five_minutes'], 'string', 'max' => 128],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'title' => 'Title',
            'level' => 'Level',
            'type_base' => 'Type Base',
            'type_first' => 'Type First',
            'type_second' => 'Type Second',
            'type_third' => 'Type Third',
            'type_extra' => 'Type Extra',
            'duty_category' => 'Duty Category',
            'duty_reason' => 'Duty Reason',
            'start_time' => 'Start Time',
            'day_type' => 'Day Type',
            'time_type' => 'Time Type',
            'line' => 'Line',
            'automation_level' => 'Automation Level',
            'signal_supplier' => 'Signal Supplier',
            'train_number' => 'Train Number',
            'train_group' => 'Train Group',
            'train_model' => 'Train Model',
            'position' => 'Position',
            'position_base_first' => 'Position Base First',
            'position_base_second' => 'Position Base Second',
            'position_extra_first' => 'Position Extra First',
            'position_extra_second' => 'Position Extra Second',
            'substation_type' => 'Substation Type',
            'headway' => 'Headway',
            'online_trains_number' => 'Online Trains Number',
            'incidence' => 'Incidence',
            'affect_trains_number' => 'Affect Trains Number',
            'emergency_duration' => 'Emergency Duration',
            'maximum_delay' => 'Maximum Delay',
            'train_delayed_two_minutes' => 'Train Delayed Two Minutes',
            'train_delayed_five_minutes' => 'Train Delayed Five Minutes',
            'get_off_trains_number' => 'Get Off Trains Number',
            'skip stop_trains_number' => 'Skip Stop Trains Number',
            'images' => 'Images',
        ];
    }
}
