<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "base_user".
 *
 * @property int $id 用户ID
 * @property string|null $roles 角色
 * @property int|null $department_id 部门ID
 * @property int|null $job_id 岗位ID
 * @property string|null $username 用户账号
 * @property string|null $password 用户密码
 * @property string|null $name 用户姓名
 * @property string|null $phone 手机号
 * @property string|null $email 电子邮箱
 * @property string|null $create_time 创建时间
 * @property string|null $update_time 修改时间
 * @property string|null $last_login_time 上次登录时间
 * @property int|null $count 登录次数
 * @property int|null $status 帐号状态 0禁用 1启用
 * @property string|null $path 用户头像
 * @property bool $IsCommonUser 判断用户是否是普通客户
 * @property string $roleName 角色名
 * @property string $realName 用户姓名
 * @property string $isSuperAdmin 是否是超管
 * @property string $learning_duration 学习总时长
 * @property string $learning_duration_month 最近30天学习时长
 */
class BaseUser extends \yii\db\ActiveRecord
{
    public bool $IsCommonUser = false;
    public $roleName;
    public $realName;
    public $isSuperAdmin = false;

    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'base_user';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['department_id', 'job_id', 'count', 'status'], 'integer'],
            [['create_time', 'update_time', 'last_login_time'], 'safe'],
            [['name', 'password', 'username', 'phone', 'roles', 'email', 'path'], 'string', 'max' => 255],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => '用户ID',
            'roles' => '角色',
            'department_id' => '部门ID',
            'job_id' => '岗位ID',
            'username' => '用户账号',
            'password' => '用户密码',
            'name' => '用户姓名',
            'phone' => '手机号',
            'email' => '电子邮箱',
            'create_time' => '创建时间',
            'update_time' => '修改时间',
            'last_login_time' => '上次登录时间',
            'count' => '登录次数',
            'status' => '帐号状态 0禁用 1启用',
            'path' => '用户头像',
        ];
    }
}
